summaryrefslogtreecommitdiff
path: root/tools/check-directives.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/check-directives.sh')
-rwxr-xr-xtools/check-directives.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/tools/check-directives.sh b/tools/check-directives.sh
index 2274d36e60..0661da4d3b 100755
--- a/tools/check-directives.sh
+++ b/tools/check-directives.sh
@@ -1,6 +1,7 @@
#!/usr/bin/env bash
# SPDX-License-Identifier: LGPL-2.1-or-later
set -eu
+set -o pipefail
SOURCE_ROOT="${1:?Missing argument: project source root}"
BUILD_ROOT="${2:?Missing argument: project build root}"